Method: projects.locations.instances.mpc.keyRings.keys.proposals.create

Initiates a Signing Proposal for a given Key. This method returns a google.longrunning.Operation resource, as the distributed signing process is asynchronous. The operation will complete when the required threshold of participants have assented and the final signature is assembled. See https://google.aip.dev/151 for more details on LROs.

HTTP request

POST https://mpc.googleapis.com/v1alpha1/{parent=projects/*/locations/*/instances/*/mpc/keyRings/*/keys/*}/proposals

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent key resource name for which the proposal will be created. Format: projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyRing}/keys/{key} It takes the form projects/{project}/locations/{location}/instances/{instance}/mpc/keyRings/{keyring}/keys/{key}.

Query parameters

Parameters
proposalId

string

Required. The ID to use for the proposal. This ID will become the final component of the proposal's resource name. This value must be unique within the parent key.

Request body

The request body contains an instance of Proposal.

Response body

If successful, the response body contains a newly created instance of Operation.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.